| Home | Libraries | People | FAQ | More

#### Operator ==

###### Description

Compares 2 iterators for equality.

###### Synopsis

    template<
        typename I,
        typename J
        >
    unspecified operator==(I const& i, J const& i);

Table 1.10. Parameters

Parameter | Requirement | Description
--- | --- | ---
`i`, `j` | Any fusion iterators | Operation's arguments

###### Expression Semantics

    i == j

Return type: Convertible to `bool`.

Semantics: Equivalent to ``result_of::equal_to`<I,J>::value` where `I` and `J` are the types of `i` and `j` respectively.

###### Header

    #include <boost/fusion/iterator/equal_to.hpp>
    #include <boost/fusion/include/equal_to.hpp>